# Copyright 2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

inherit go-module

DESCRIPTION="A kubectl plugin to explore ownership relationships between Kubernetes objects through ownersReferences on the objects"
HOMEPAGE="https://github.com/ahmetb/kubectl-tree"
SRC_URI="https://github.com/ahmetb/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
		https://git.millerson.name/attachments/d120de43-cd6b-41c0-870e-89d894104a27 -> ${P}-vendor.tar.xz"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"

DEPEND=""
RDEPEND="${DEPEND}"
BDEPEND=""

src_compile() {
    ego build ./cmd/${PN}
}

src_install() {
    dobin ${PN}
}
